系统升级导致软件不兼容无法运行是很常见的。各位豫虑是否把Girlfriend 6.0升级到Wife 1.0的同志可以参考这篇Girlfriend 6.0 vs. Wife 1.0
文中就常用软件的兼容性做了测试:

some applications such as PokerNight 10.3, BeerBash 2.5, and PubNight 7.0 are no longer able to run in the system at all, crashing the system when selected (even though they always worked fine before)

该评测中规中矩,还算详尽,指出了现有Bug,提供了技术支持,有参考价值。

我想,对男士,肯定大多数希望能尽可能长时间地使用Girlfriend系列,升多高版本无所谓,重要的是能多安装几个。但升级在所难免,先有个心理准备吧。